Even though we ARE Nikon lovers,we are NOT affiliated with Nikon Corp. in any way.

English German French

Sign up Login
Home Forums Articles Galleries Recent Photos Contest Help Search News Workshops Shop Upgrade Membership Recommended
members
All members Wiki Contests Vouchers Apps Newsletter THE NIKONIAN™ Magazines Podcasts Fundraising

New Version of NX/NX2 Required?

sfbillm

Santa Fe, US
870 posts

Click to send email to this author Click to send private message to this author

"RE: New Version of NX/NX2 Required?"

sfbillm Silver Member Nikonian since 15th Jun 2004
Tue 01-Jul-08 03:15 PM

>What I read, the D700 will only work with NX2

Thanks for the info. I'd rather expected that would be the case. But will the current NX2 support it, or will an update be required? IIRC, in the past, sometimes when a new DSLR was introduced, the then-current version of NC or NX required an update to support the new camera.

SantaFeBill

A topic tagged as having a question New Version of NX/NX2 Required? [View all] , sfbillm Silver Member , Tue 01-Jul-08 11:45 AM
Subject
ID
Reply message RE: New Version of NX/NX2 Required?
1
Reply message RE: New Version of NX/NX2 Required?
2
     Reply message RE: New Version of NX/NX2 Required?
3
     Reply message RE: New Version of NX/NX2 Required?
4
Reply message RE: New Version of NX/NX2 Required?
5
Reply message RE: New Version of NX/NX2 Required?
6